<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="VIEW-CONTENT">
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
				<tr>
					<td>
						<xsl:apply-templates select="/SITEBUILDER-PAGE/STATUS" mode="admin"/>
						<xsl:apply-templates/>
					</td>
				</tr>
		</table>
	</xsl:template>

<xsl:template match="SITEPAL-CONTENT">
	<script type="text/javascript" src="/js/Admin/Modules/SitePal.js?{$version}.{$build}"/>
	<form name="setupSubPartnerForm" method="post" id="setupSubPartnerForm" action="{$baseUrl}/Admin/Modules/SitePal" onsubmit="submitForm(); return false;">
		<input type="image" style="border-width: 0px; height: 0px; width: 0px;"/>
		<xsl:apply-templates/>
	</form>
	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;"><tr><td style="padding: 0 10px;">
		<table cellpadding="0" cellspacing="0" class="form-tools-container">
			<tr>
				<td><div class="hint"><xsl:call-template name="REQUIRED-FIELDS"/></div></td>
				<td>
					<table cellpadding="0" cellspacing="0" class="ok-cancel-container">
						<tr>
							<td>
								<xsl:call-template name="OK-CANCEL-BUTTONS">
									<xsl:with-param name="okAction">
									if ($('currentSubPartnerEmail').value != ''
										&amp;&amp; ($('currentSubPartnerEmail').value != $('EMAIL').value 
										&amp;&amp; !confirm(SbGetLocaleByKey('CHANGE-ACCOUNT-EMAIL')))
									) {
										return false;
									}
									submitForm();
									</xsl:with-param>
									<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Modules";</xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td></tr></table>
</xsl:template>

<xsl:template match="SUBPARTNER-FORM">
<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
	<xsl:for-each select="CONTROL[@TYPE='INPUT']">
		<tr>
			<td class="title-block"><xsl:apply-templates select="." mode="label"/></td>
			<td class="input-block">
				<xsl:if test="@NAME='EMAIL'">
					<input type="hidden" name="currentSubPartnerEmail" id="currentSubPartnerEmail">
						<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					</input>
				</xsl:if>
				<xsl:apply-templates select="." mode="control">
					<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
					<xsl:with-param name="size">
						<xsl:if test="@NAME='EMAIL'">60</xsl:if>
					</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
	</xsl:for-each>
</table>
</xsl:template>

</xsl:stylesheet>